Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 191306 - media-sound/esound - add doc use flag
Summary: media-sound/esound - add doc use flag
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-04 21:38 UTC by Christopher Friedt
Modified: 2008-01-18 13:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
nodocs for configure.ac (esound-0.2.38-nodocs.patch,610 bytes, patch)
2007-09-05 19:27 UTC, Chris Mayo
Details | Diff
esound-0.2.38.ebuild-doc.patch (esound-0.2.38.ebuild-doc.patch,1.40 KB, patch)
2007-09-05 19:28 UTC, Chris Mayo
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Friedt 2007-09-04 21:38:06 UTC
Esound-0.2.38 failed to build because of some error when building the documentation. Regardless of the actual error, there should be a doc IUSE flag in the ebuild, because not everyone wants documentation by default. 

The error is below. 

Since I do not need the documentation, I made  a patch for the ebuild and sources to fix the problem. 

I would suggest the following patch for media-libs/esound-0.2.38.ebuild:

http://vaiprime.visibleassets.com/~cfriedt/esound-0.2.38-ebuild-nodocs.patch

And this for the vanilla esound sources:

http://vaiprime.visibleassets.com/~cfriedt/esound-0.2.38-nodocs.patch


ERROR OUTPUT:

make  all-recursive
make[1]: Entering directory `/home/cfriedt/Desktop/esound-0.2.38'
Making all in docs
make[2]: Entering directory `/home/cfriedt/Desktop/esound-0.2.38/docs'
jw -f docbook -b html -o html ./esound.sgml
Using catalogs: /etc/sgml/sgml-docbook-3.1.cat
Using stylesheet: /usr/share/sgml/docbook/utils-0.6.14/docbook-utils.dsl#html
Working on: /home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:53:65:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:54:8:E: reference to entity "ISOamsa" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:52:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:60:66:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:61:8:E: reference to entity "ISOamsb" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:59:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:67:60:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:68:8:E: reference to entity "ISOamsc" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:66:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:74:67:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:75:8:E: reference to entity "ISOamsn" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:73:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:81:58:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:82:8:E: reference to entity "ISOamso" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:80:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:88:59:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:89:8:E: reference to entity "ISOamsr" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:87:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:95:50:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Box and Line Drawing//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:96:7:E: reference to entity "ISObox" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:94:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:102:46:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Russian Cyrillic//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:103:8:E: reference to entity "ISOcyr1" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:101:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:109:50:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:110:8:E: reference to entity "ISOcyr2" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:108:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:116:47:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Diacritical Marks//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:117:7:E: reference to entity "ISOdia" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:115:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:123:43:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Greek Letters//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:124:8:E: reference to entity "ISOgrk1" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:122:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:130:46:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Monotoniko Greek//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:131:8:E: reference to entity "ISOgrk2" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:129:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:137:43:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Greek Symbols//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:138:8:E: reference to entity "ISOgrk3" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:136:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:144:55:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:145:8:E: reference to entity "ISOgrk4" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:143:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:151:43:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Latin 1//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:152:8:E: reference to entity "ISOlat1" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:150:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:158:43:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Latin 2//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:159:8:E: reference to entity "ISOlat2" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:157:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:165:57:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:166:7:E: reference to entity "ISOnum" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:164:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:172:40:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Publishing//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:173:7:E: reference to entity "ISOpub" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:171:0: entity was defined here
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:179:47:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES General Technical//EN"
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:180:8:E: reference to entity "ISOtech" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/sgml-dtd-3.1/dbcent.mod:178:0: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:49:7:W: cannot generate system identifier for general entity "quot"
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:49:7:E: general entity "quot" not defined and no default entity
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:49:11:E: reference to entity "quot" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:49:6: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:49:19:E: reference to entity "quot" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:49:6: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:134:14:W: cannot generate system identifier for general entity "gt"
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:134:14:E: general entity "gt" not defined and no default entity
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:134:16:E: reference to entity "gt" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:134:13: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:142:16:E: reference to entity "gt" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:134:13: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:150:16:E: reference to entity "gt" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:134:13: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:174:18:E: reference to entity "gt" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:134:13: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:251:12:W: cannot generate system identifier for general entity "tilde"
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:251:12:E: general entity "tilde" not defined and no default entity
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:251:17:E: reference to entity "tilde" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:251:11: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:335:22:E: reference to entity "tilde" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:251:11: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:479:19:E: reference to entity "gt" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:134:13: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:527:51:E: reference to entity "gt" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:134:13: entity was defined here
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:529:46:W: cannot generate system identifier for general entity "percnt"
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:529:46:E: general entity "percnt" not defined and no default entity
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:529:52:E: reference to entity "percnt" for which no system identifier could be generated
jade:/home/cfriedt/Desktop/esound-0.2.38/docs/./esound.sgml:529:45: entity was defined here
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1bg.dsl:2:69:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Russian Cyrillic//EN"
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1bg.dsl:3:5:E: reference to entity "cyr1" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1bg.dsl:2:0: entity was defined here
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1no.dsl:2:66:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Latin 1//EN"
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1no.dsl:3:5:E: reference to entity "lat1" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1no.dsl:2:0: entity was defined here
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1ro.dsl:2:66:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Latin 1//EN"
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1ro.dsl:3:5:E: reference to entity "lat1" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1ro.dsl:2:0: entity was defined here
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1ro.dsl:4:66:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Latin 2//EN"
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1ro.dsl:5:5:E: reference to entity "lat2" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1ro.dsl:4:0: entity was defined here
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1ru.dsl:2:69:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Russian Cyrillic//EN"
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1ru.dsl:3:5:E: reference to entity "cyr1" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1ru.dsl:2:0: entity was defined here
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1sl.dsl:2:66:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Latin 2//EN"
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1sl.dsl:3:5:E: reference to entity "lat2" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1sl.dsl:2:0: entity was defined here
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1sr.dsl:2:66:W: cannot generate system identifier for public text "ISO 8879:1986//ENTITIES Added Latin 2//EN"
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1sr.dsl:3:5:E: reference to entity "lat2" for which no system identifier could be generated
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/../common/dbl1sr.dsl:2:0: entity was defined here
make[2]: *** [html/index.html] Error 8
make[2]: Leaving directory `/home/cfriedt/Desktop/esound-0.2.38/docs'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/cfriedt/Desktop/esound-0.2.38'
make: *** [all] Error 2


Reproducible: Always
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-09-05 05:31:53 UTC
Good idea, the docs only cause trouble. Wrt the errors, try to re-emerge sgml-common.
Comment 2 Christopher Friedt 2007-09-05 14:42:08 UTC
(In reply to comment #1)
> Good idea, the docs only cause trouble. Wrt the errors, try to re-emerge
> sgml-common.
> 

Good idea Jakub, 

The patch should probably be slightly modified then ... maybe 

DEPEND="
...
doc? >=sgml-common-<some-version>
...
"
Comment 3 Chris Mayo 2007-09-05 19:26:23 UTC
app-text/docbook-sgml-utils builds the docs OK. So here is an alternative with a different and shorter patch and an ebuild patch that fixes #154902 as well.
Comment 4 Chris Mayo 2007-09-05 19:27:32 UTC
Created attachment 130107 [details, diff]
nodocs for configure.ac
Comment 5 Chris Mayo 2007-09-05 19:28:57 UTC
Created attachment 130109 [details, diff]
esound-0.2.38.ebuild-doc.patch
Comment 6 Christopher Friedt 2007-09-06 03:59:22 UTC
(In reply to comment #5)
> Created an attachment (id=130109) [edit]
> esound-0.2.38.ebuild-doc.patch
> 

Should I test this out? 

I'm still relatively new to writing and patching ebuilds (in an elegent manner like with configure.ac scripts) ... I'm content with just believing that you have a way better patch then me, so should I close the bug?

... actually Makefile.in, Makefile.am, and configure.in and configure.ac scripts were always a bit of a mystery to me. 

Can anyone recommend a good faq or tutorial on how to write them?

Comment 7 Rémi Cardona gentoo-dev 2007-09-06 05:45:39 UTC
These patches should work, but they still need some more work. I'll take a swing at it tonight with a clean solution for everybody.
Comment 8 Rémi Cardona gentoo-dev 2007-09-09 08:21:15 UTC
Chris, if you want to learn more about autotools, here's what I used to learn how to use them, it's probably the best written tutorial.

http://www-src.lip6.fr/homepages/Alexandre.Duret-Lutz/autotools.html

Anyway, I committed a fix for this bug and bug 154902 in esound-0.2.38-r1 (it's in ~arch). Please test it and reopen this bug if it doesn't work.

As esound is becoming more and more deprecated, I didn't take the time to write a full configure switch for the documentation. I'll gladly take patches though :)

Thanks